clear variables;
close all;
clc;

titles={'a)','b)','c)','d)','e)','f)'};

p=[-4-35i,-4+35i; 4-32i,4+32i; -6i,6i; -1,1; -2,-10; 1.3,1.5];
num=50;
pts=1000;
t=linspace(0,1,pts);
u=zeros(pts,0);

for c=1:2
    for r=1:3
        n=2*(r-1)+c; x1=zeros(pts,num); x2=zeros(pts,num);
        p1=p(n,1); p2=p(n,2); a21=-p1*p2; a22=p1+p2;
        for s=1:num
            x0=2*rand(2,1)-1;
            x=lsim([0,1;a21,a22],[],eye(2),[],u,t,x0);
            x1(:,s)=x(:,1); x2(:,s)=x(:,2);
        end
        subplot(3,2,n); plot(x1,x2); grid; title(titles{n});
    end
end